## org.firebirdsql.gds
Interface IscBlobHandle

All Known Implementing Classes:
  isc_blob_handle_impl, isc_blob_handle_impl

    public interface IscBlobHandle

The interface `IscBlobHandle` is a java mapping for a blob handle..

Version:
  1.0
Author:
  David Jencks

Method Summary
`long` `getBlobId()` Get the identifier for the blob to which this handle is linked.
`boolean` `isEof()` Retrieve whether the `EOF` has been reached with this blob.
`void` `setBlobId(long blobId)` Set the identifier for the blob to which this handle is linked.

Method Detail

### getBlobId

    long getBlobId()

  Get the identifier for the blob to which this handle is linked.

  Returns:
    identifier for the blob

### setBlobId

    void setBlobId(long blobId)

  Set the identifier for the blob to which this handle is linked.

  Parameters:
    `blobId` - The identifier to be set

### isEof

    boolean isEof()

  Retrieve whether the `EOF` has been reached with this blob.

  Returns:
    `true` if `EOF` has been reached, `false` otherwise

Copyright © 2001-2010. All Rights Reserved.